# Hypixel Bedwars Statistics API Wrapper

[![Build Status](https://travis-ci.org/joemccann/dillinger.svg?branch=master)](https://github.com/Heknon/Bedwars-Stats-Wrapper-Python)

Easily access the Bedwars statistics of any hypixel player with one line of code in Python!

# New Features!

  - **stat_grab()** 
  When doing ```bedwars("level, wins_bedwars", "Heknon")``` 
It will return this list `['Level: 105', 'wins_bedwars: 966']`
**What if you have a list of lots of statistics and want a specific statistic?**
***Examples:***
    > `heknon = bedwars("level, wins_bedwars", "Heknon")`
    > `stat_grab("Level", heknon)` Besure to write the specified statistic as it is in the outputed list with or without the colon

### Examples
You can add you API Key using `addkeys("APIKEY HERE")` after adding a key you need to run the program once so it will create the file to store the key.
You can call as many statistics as you want for a player and its considered one request. `bedwars("level, Experience, kills_bedwars, etc...", "NAME")`

****
- **Example Code**
> ```
> from BWStatsWrapper import addkeys, stat_grab, bedwars
> addkeys("APIKEY, Another API Key <not necessary right now as it won't alternate between keys>")
> heknon = bedwars("level, wins_bedwars", "Heknon")  # DO NOT MAKE MORE THEN 120 OF THESE REQUESTS PER MINUTE
> gamerboy80 = bedwars("level, wins_bedwars", "gamerboy80")
> print(stat_grab("wins_bedwars", heknon))  # --> OUTPUT: 966
> print(stat_grab("wins_bedwars", gamerboy80))  # --> OUTPUT: 21258
> print(stat_grab("Level", gamerboy80))  # --> OUTPUT: 1154
    This code will return an error on its first run but not on it's second run as it is adding keys while also requesting for data.
# TODO
Add alternating API Keys.


License
----

[MIT](https://github.com/Heknon/Bedwars-Stats-Wrapper-Python/blob/master/LICENSE)

